# This file was generated by the `rspec --init` command. Conventionally, all
# specs live under a `spec` directory, which RSpec adds to the `$LOAD_PATH`.
# Require this file using `require "spec_helper.rb"` to ensure that it is only
# loaded once.
#
# See http://rubydoc.info/gems/rspec-core/RSpec/Core/Configuration
require "bundler/setup"

require "savon"
require "savon/mock/spec_helper"

require "webmock/rspec"

RSpec.configure do |config|
  config.treat_symbols_as_metadata_keys_with_true_values = true
  config.run_all_when_everything_filtered = true
  config.filter_run :focus
  config.mock_with :rspec
end

def f method, response
  File.read File.join(File.expand_path("../fixtures", __FILE__), method.to_s, "#{response.to_s}.xml")
end

def wrap_in_xml_tree
  builder = Builder::XmlMarkup.new
  yield builder
  builder.target!
end

def stub_wsdl
  raw_response_file = File.new File.join(File.expand_path("../fixtures", __FILE__), "wsdl_curl.txt")
  stub_request(:get, "http://qa.www.iloxx.de/iloxxapi/ppvapi.asmx?WSDL").to_return(raw_response_file)
end

require 'dpd_shipping'